# Form implementation generated from reading ui file 'src/eric7/Plugins/VcsPlugins/vcsMercurial/StripExtension/HgStripDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_HgStripDialog(object):
    def setupUi(self, HgStripDialog):
        HgStripDialog.setObjectName("HgStripDialog")
        HgStripDialog.resize(400, 374)
        HgStripDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(HgStripDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.revGroupBox = QtWidgets.QGroupBox(parent=HgStripDialog)
        self.revGroupBox.setObjectName("revGroupBox")
        self.gridLayout = QtWidgets.QGridLayout(self.revGroupBox)
        self.gridLayout.setObjectName("gridLayout")
        self.numberButton = QtWidgets.QRadioButton(parent=self.revGroupBox)
        self.numberButton.setObjectName("numberButton")
        self.gridLayout.addWidget(self.numberButton, 0, 0, 1, 1)
        self.numberSpinBox = QtWidgets.QSpinBox(parent=self.revGroupBox)
        self.numberSpinBox.setEnabled(False)
        self.numberSpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight)
        self.numberSpinBox.setMinimum(-1)
        self.numberSpinBox.setMaximum(999999999)
        self.numberSpinBox.setProperty("value", -1)
        self.numberSpinBox.setObjectName("numberSpinBox")
        self.gridLayout.addWidget(self.numberSpinBox, 0, 1, 1, 1)
        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout.addItem(spacerItem, 0, 2, 1, 1)
        self.idButton = QtWidgets.QRadioButton(parent=self.revGroupBox)
        self.idButton.setChecked(True)
        self.idButton.setObjectName("idButton")
        self.gridLayout.addWidget(self.idButton, 1, 0, 1, 1)
        self.idEdit = QtWidgets.QLineEdit(parent=self.revGroupBox)
        self.idEdit.setClearButtonEnabled(True)
        self.idEdit.setObjectName("idEdit")
        self.gridLayout.addWidget(self.idEdit, 1, 1, 1, 2)
        self.tagButton = QtWidgets.QRadioButton(parent=self.revGroupBox)
        self.tagButton.setObjectName("tagButton")
        self.gridLayout.addWidget(self.tagButton, 2, 0, 1, 1)
        self.tagCombo = QtWidgets.QComboBox(parent=self.revGroupBox)
        self.tagCombo.setEnabled(False)
        self.tagCombo.setEditable(True)
        self.tagCombo.setObjectName("tagCombo")
        self.gridLayout.addWidget(self.tagCombo, 2, 1, 1, 2)
        self.branchButton = QtWidgets.QRadioButton(parent=self.revGroupBox)
        self.branchButton.setObjectName("branchButton")
        self.gridLayout.addWidget(self.branchButton, 3, 0, 1, 1)
        self.branchCombo = QtWidgets.QComboBox(parent=self.revGroupBox)
        self.branchCombo.setEnabled(False)
        self.branchCombo.setEditable(True)
        self.branchCombo.setObjectName("branchCombo")
        self.gridLayout.addWidget(self.branchCombo, 3, 1, 1, 2)
        self.expressionButton = QtWidgets.QRadioButton(parent=self.revGroupBox)
        self.expressionButton.setObjectName("expressionButton")
        self.gridLayout.addWidget(self.expressionButton, 4, 0, 1, 1)
        self.expressionEdit = QtWidgets.QLineEdit(parent=self.revGroupBox)
        self.expressionEdit.setEnabled(False)
        self.expressionEdit.setClearButtonEnabled(True)
        self.expressionEdit.setObjectName("expressionEdit")
        self.gridLayout.addWidget(self.expressionEdit, 4, 1, 1, 2)
        self.verticalLayout.addWidget(self.revGroupBox)
        self.gridLayout_2 = QtWidgets.QGridLayout()
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.label = QtWidgets.QLabel(parent=HgStripDialog)
        self.label.setObjectName("label")
        self.gridLayout_2.addWidget(self.label, 0, 0, 1, 1)
        self.bookmarkCombo = QtWidgets.QComboBox(parent=HgStripDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.bookmarkCombo.sizePolicy().hasHeightForWidth())
        self.bookmarkCombo.setSizePolicy(sizePolicy)
        self.bookmarkCombo.setEditable(True)
        self.bookmarkCombo.setObjectName("bookmarkCombo")
        self.gridLayout_2.addWidget(self.bookmarkCombo, 0, 1, 1, 1)
        self.forceCheckBox = QtWidgets.QCheckBox(parent=HgStripDialog)
        self.forceCheckBox.setObjectName("forceCheckBox")
        self.gridLayout_2.addWidget(self.forceCheckBox, 1, 0, 1, 2)
        self.noBackupCheckBox = QtWidgets.QCheckBox(parent=HgStripDialog)
        self.noBackupCheckBox.setObjectName("noBackupCheckBox")
        self.gridLayout_2.addWidget(self.noBackupCheckBox, 2, 0, 1, 2)
        self.keepCheckBox = QtWidgets.QCheckBox(parent=HgStripDialog)
        self.keepCheckBox.setObjectName("keepCheckBox")
        self.gridLayout_2.addWidget(self.keepCheckBox, 3, 0, 1, 2)
        self.verticalLayout.addLayout(self.gridLayout_2)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=HgStripDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(HgStripDialog)
        self.buttonBox.accepted.connect(HgStripDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(HgStripDialog.reject) # type: ignore
        self.numberButton.toggled['bool'].connect(self.numberSpinBox.setEnabled) # type: ignore
        self.idButton.toggled['bool'].connect(self.idEdit.setEnabled) # type: ignore
        self.tagButton.toggled['bool'].connect(self.tagCombo.setEnabled) # type: ignore
        self.branchButton.toggled['bool'].connect(self.branchCombo.setEnabled) # type: ignore
        self.expressionButton.toggled['bool'].connect(self.expressionEdit.setEnabled) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(HgStripDialog)
        HgStripDialog.setTabOrder(self.numberButton, self.numberSpinBox)
        HgStripDialog.setTabOrder(self.numberSpinBox, self.idButton)
        HgStripDialog.setTabOrder(self.idButton, self.idEdit)
        HgStripDialog.setTabOrder(self.idEdit, self.tagButton)
        HgStripDialog.setTabOrder(self.tagButton, self.tagCombo)
        HgStripDialog.setTabOrder(self.tagCombo, self.branchButton)
        HgStripDialog.setTabOrder(self.branchButton, self.branchCombo)
        HgStripDialog.setTabOrder(self.branchCombo, self.expressionButton)
        HgStripDialog.setTabOrder(self.expressionButton, self.expressionEdit)
        HgStripDialog.setTabOrder(self.expressionEdit, self.bookmarkCombo)
        HgStripDialog.setTabOrder(self.bookmarkCombo, self.forceCheckBox)
        HgStripDialog.setTabOrder(self.forceCheckBox, self.noBackupCheckBox)
        HgStripDialog.setTabOrder(self.noBackupCheckBox, self.keepCheckBox)

    def retranslateUi(self, HgStripDialog):
        _translate = QtCore.QCoreApplication.translate
        HgStripDialog.setWindowTitle(_translate("HgStripDialog", "Strip Changesets"))
        self.revGroupBox.setTitle(_translate("HgStripDialog", "&Revision"))
        self.numberButton.setToolTip(_translate("HgStripDialog", "Select to specify a revision by number"))
        self.numberButton.setText(_translate("HgStripDialog", "Number"))
        self.numberSpinBox.setToolTip(_translate("HgStripDialog", "Enter a revision number"))
        self.idButton.setToolTip(_translate("HgStripDialog", "Select to specify a revision by changeset id"))
        self.idButton.setText(_translate("HgStripDialog", "Id:"))
        self.idEdit.setToolTip(_translate("HgStripDialog", "Enter a changeset id"))
        self.tagButton.setToolTip(_translate("HgStripDialog", "Select to specify a revision by a tag"))
        self.tagButton.setText(_translate("HgStripDialog", "Tag:"))
        self.tagCombo.setToolTip(_translate("HgStripDialog", "Enter a tag name"))
        self.branchButton.setToolTip(_translate("HgStripDialog", "Select to specify a revision by a branch"))
        self.branchButton.setText(_translate("HgStripDialog", "Branch:"))
        self.branchCombo.setToolTip(_translate("HgStripDialog", "Enter a branch name"))
        self.expressionButton.setText(_translate("HgStripDialog", "Expression:"))
        self.expressionEdit.setToolTip(_translate("HgStripDialog", "Enter a revision set expression"))
        self.label.setText(_translate("HgStripDialog", "Bookmark:"))
        self.bookmarkCombo.setToolTip(_translate("HgStripDialog", "Enter a bookmark name"))
        self.forceCheckBox.setToolTip(_translate("HgStripDialog", "Select to enforce removal of changesets"))
        self.forceCheckBox.setText(_translate("HgStripDialog", "Enforce Operation"))
        self.noBackupCheckBox.setToolTip(_translate("HgStripDialog", "Select to not create backup bundles"))
        self.noBackupCheckBox.setText(_translate("HgStripDialog", "No Backup"))
        self.keepCheckBox.setToolTip(_translate("HgStripDialog", "Select to keep the current working directory state"))
        self.keepCheckBox.setText(_translate("HgStripDialog", "Keep Working Directory"))
